Issue with msp430fr5969 and cpux

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Issue with msp430fr5969 and cpux

Thomas Taranowski
I'm using the latest DEVEL-4.7.x mspgcc baseline, building mspgcc
toolchain from source, and I'm getting the following issue:

$ /usr/local/msp430/bin/msp430-gcc   -mmcu=msp430fr5969
-D__msp430fr5969__ -D__MSP430FR5969__ -ffunction-sections
-fdata-sections -DGCC_MSP430 -Wextra -lfp -lm -g  main.c
/usr/local/msp430/lib/gcc/msp430/4.7.0/../../../../msp430/bin/ld:
Warning: /usr/local/msp430/lib/gcc/msp430/4.7.0/../../../../msp430/lib/mcpu-430x/mmpy-16/libc.a(memset.o)
does not have CPUX target data


Do I need to reconfigure the mspgcc libc to support CPUX, or am I
missing something else?

Thanks
-Tom

------------------------------------------------------------------------------
This SF.net email is sponsored by Windows:

Build for Windows Store.

http://p.sf.net/sfu/windows-dev2dev
_______________________________________________
Mspgcc-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mspgcc-users
Reply | Threaded
Open this post in threaded view
|

Re: Issue with msp430fr5969 and cpux

Peter Bigot-4
msp430fr5969 should work fine with mspgcc-20120911.   (It is the only chip
in the fr59xx family that will.)

Looks like you didn't build msp430-libc correctly, or are using an
unsupported combination of versions.  Use only the versions of supporting
tools like msp430mcu and msp430-libc that are specified in the
mspgcc-20120911 release bundle.

In particular, do not use a newer version of msp430mcu.  See
http://www.mail-archive.com/mspgcc-users@.../msg11556.html
.

Also don't use -D__msp430fr5969__ -D__MSP430FR5969__.  Flags with double
underscores are reserved for the implementation, and the appropriate ones
are provided when you specify the MCU.  If you define them yourself the
result may be subtle inconsistencies, though offhand I don't think your
problem is likely to be due to this.

Peter


On Wed, Jun 12, 2013 at 10:14 PM, Thomas Taranowski <[hidden email]>wrote:

> I'm using the latest DEVEL-4.7.x mspgcc baseline, building mspgcc
> toolchain from source, and I'm getting the following issue:
>
> $ /usr/local/msp430/bin/msp430-gcc   -mmcu=msp430fr5969
> -D__msp430fr5969__ -D__MSP430FR5969__ -ffunction-sections
> -fdata-sections -DGCC_MSP430 -Wextra -lfp -lm -g  main.c
> /usr/local/msp430/lib/gcc/msp430/4.7.0/../../../../msp430/bin/ld:
> Warning:
> /usr/local/msp430/lib/gcc/msp430/4.7.0/../../../../msp430/lib/mcpu-430x/mmpy-16/libc.a(memset.o)
> does not have CPUX target data
>
>
> Do I need to reconfigure the mspgcc libc to support CPUX, or am I
> missing something else?
>
> Thanks
> -Tom
>
>
> ------------------------------------------------------------------------------
> This SF.net email is sponsored by Windows:
>
> Build for Windows Store.
>
> http://p.sf.net/sfu/windows-dev2dev
> _______________________________________________
> Mspgcc-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/mspgcc-users
>

------------------------------------------------------------------------------
This SF.net email is sponsored by Windows:

Build for Windows Store.

http://p.sf.net/sfu/windows-dev2dev
_______________________________________________
Mspgcc-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mspgcc-users